clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
clang::query::Query Struct Referenceabstract

`#include <Query.h>`

Inheritance diagram for clang::query::Query:
[legend]
Collaboration diagram for clang::query::Query:
[legend]

## Public Member Functions
| Query (QueryKind Kind)
virtual | ~Query ()
virtual bool | run (llvm::raw_ostream &OS, QuerySession &QS) const =0
| Perform the query on `QS` and print output to `OS`. More...

## Public Attributes
const QueryKind | Kind

## Detailed Description

Definition at line 40 of file Query.h.

## Constructor & Destructor Documentation

clang::query::Query::Query | ( | QueryKind | Kind | ) |
| inline

Definition at line 41 of file Query.h.

clang::query::Query::~Query | ( |  | ) |
| virtual

Definition at line 23 of file Query.cpp.

## Member Function Documentation

virtual bool clang::query::Query::run | ( | llvm::raw_ostream & | OS,
|  | QuerySession & | QS
| ) |  | const
| pure virtual

Perform the query on `QS` and print output to `OS`.

Returns
  false if an error occurs, otherwise return true.

Implemented in clang::query::SetQuery< T >, clang::query::LetQuery, clang::query::MatchQuery, clang::query::QuitQuery, clang::query::HelpQuery, clang::query::NoOpQuery, and clang::query::InvalidQuery.

## Member Data Documentation

const QueryKind clang::query::Query::Kind

Definition at line 49 of file Query.h.

Referenced by clang::query::InvalidQuery::classof(), clang::query::NoOpQuery::classof(), clang::query::HelpQuery::classof(), clang::query::QuitQuery::classof(), clang::query::MatchQuery::classof(), clang::query::LetQuery::classof(), and clang::query::SetQuery< T >::classof().

The documentation for this struct was generated from the following files:

- Query.h
- Query.cpp